:root {
  --text: #3F3B36;
  --accent: #551A8B;
}

*:focus, *:focus-visible {
  outline: 2px solid var(--accent);
  outline-offset: -2px;
}

* {
  margin: 0 auto;
  padding: 2px;
  font: 0.8rem monospace;
  color: var(--text);
  box-sizing: border-box;
}

input {
  width: 50%;
  height: 20px;
}

textarea {
  display: block;
  width: 100%;
  margin-block: 4px;
}

button {
  display: block;
}

div {
  display: flex;
  gap: 4px;
}